namespace BusCommPracticeConsoleApp.Models
{
    public class Publisher
    {
        private readonly IMessageBus _messageBus;

        public Publisher(IMessageBus messageBus)
        {
            _messageBus = messageBus;
        }

        public void SendMessage(string message)
        {
            Console.WriteLine($"[LOG] Publisher: Sending Message - {message}");
            _messageBus.Publish(message);
        }
    }
}