namespace BusCommPracticeConsoleApp.Models
{
    public class Subscriber
    {
        private readonly string _name;

        public Subscriber(IMessageBus messageBus, string name)
        {
            _name = name;
            messageBus.Subscribe(ReceiveMessage);
        }

        private void ReceiveMessage(string message)
        {
            Console.WriteLine($"{_name}: Received Message - {message}");
        }
    }
}